DomainRankDomainRank

Developer interface / submission automation

Submit
API

Programmatically submit products, inspect credit balance, and plug DomainRank into your own release workflow.

Submit Directory API

Backlink database API for programmatic submissions

Sign in to view your credits

POST
/api/submit-item

Submit Website

Submit directory API to add your AI tool or website to our backlink database. Consumes credits based on the selected plan.

Request Body

ParameterTypeRequiredDescription
namestringThe name of your website or tool
linkstringThe website URL
pricePlanstring-"basic" (100 credits), "pro" (200 credits), "high_dr_package" (700 credits), or "ultra" (2000 credits). Default: "basic"

Request Examples

curl -X POST https://domainrank.app/api/submit-item \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Example Tool",
    "link": "https://example.com",
    "pricePlan": "basic"
  }'

Response Example

{
  "success": true,
  "slug": "example-tool",
  "name": "Example Tool",
  "link": "https://example.com",
  "pricePlan": "basic",
  "creditsConsumed": 100,
  "creditsRemaining": 1100
}